# $Revision: 1.88.2.2 $, $Date: 2006/08/02 17:06:24 $
Summary:	High-performance CORBA Object Request Broker
Summary(fr):	Requte d'Objects CORBA
Summary(pl):	Wysoko wydajny CORBA Object Request Broker
Name:		ORBit2
Version:	2.14.2
Release:	1
Epoch:		1
License:	GPL v2+/LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/ORBit2/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	88ea9b8e686ab0dd27b4199e0f41ac84
Patch0:		%{name}-pthread.patch
URL:		http://www.labs.redhat.com/orbit/
BuildRequires:	autoconf >= 2.12
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	glib2-devel >= 1:2.6.3
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	indent
BuildRequires:	libIDL-devel >= 0.8.7
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.14.0
BuildRequires:	rpmbuild(macros) >= 1.197
Requires:	glib2 >= 1:2.6.3
Requires:	libIDL >= 0.8.7
Provides:	linc = 1.1.1
Obsoletes:	libORBit2_0
Obsoletes:	linc
Obsoletes:	ORBit2-automake
Conflicts:	libbonobo < 2.3.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to send
requests and receive replies from other programs, regardless of the
locations of the two programs. CORBA is an architecture that enables
communication between program objects, regardless of the programming
language they're written in or the operating system they run on.

%description -l fr
ORBit est un ORB CORBA avec support pour le language C. Il permet a
des programmes d'envoyer des requtes et recevoir de rponses d'autres
programmes, indpendement de l'endroit ou sont les deux programmes.

%description -l pl
ORBit to wysokiej wydajnoci CORBA (Common Object Request Broker
Architecture) ORB (object request broker). Pozwala na wysyanie prb
i otrzymywanie odpowiedzi od innych programw bez znajomoci pooenia
tych dwch programw.

%package devel
Summary:	Header files, and utilities for ORBit
Summary(fr):	Librairies statiques et fichiers entte pour ORBit
Summary(pl):	Pliki nagwkowe i uytki dla ORBit
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	glib2-devel >= 1:2.6.3
Requires:	indent
Requires:	libIDL-devel >= 0.8.5
Provides:	linc-devel = 1.1.1
Obsoletes:	libORBit2_0-devel
Obsoletes:	linc-devel

%description devel
devel ORBit is a high-performance CORBA ORB with support for the C
language. It allows programs to send requests and receive replies from
other programs, regardless of the locations of the two programs.

This package includes the header files and utilities neecessary to
write programs that use CORBA technology.

%description devel -l fr
Librairies statiques et fichiers entte requis pour le development ou
la compilation de programmes utilisant ORBit.

%description devel -l pl
ORBit to wysokiej wydajnoci CORBA ORB ze wsparciem dla jzyka C.
Pozwala na wysyanie prb i otrzymywanie odpowiedzi od innych
programw bez znajomoci pooenia tych dwch programw.

Ten pakiet zawiera pliki nagwkowe oraz uytki potrzebne do pisania
programw uywajcych technologi CORBA.

%package static
Summary:	Static libraries for ORBit
Summary(pl):	Biblioteki statyczne dla ORBit
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	linc-static = 1.1.1
Obsoletes:	linc-static

%description static
ORBit is a high-performance CORBA ORB with support for the C language.
It allows programs to send requests and receive replies from other
programs, regardless of the locations of the two programs.

This package includes static libraries neecessary to write programs
statically linked that use CORBA technology.

%description static -l pl
ORBit to wysokiej wydajnoci CORBA ORB ze wsparciem dla jzyka C.
Pozwala na wysyanie prb i otrzymywanie odpowiedzi od innych
programw bez znajomoci pooenia tych dwch programw.

Ten pakiet zawiera biblioteki statyczne potrzebne do pisania programw
skonsolidowanych statycznie uywajcych technologii CORBA.

%prep
%setup -q
%patch0 -p1

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir} \
	--enable-gtk-doc \
	--enable-http
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no static module - shut up check-files
rm -f $RPM_BUILD_ROOT%{_libdir}/orbit-2.0/Everything_module.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/ior-decode-2
%attr(755,root,root) %{_bindir}/linc-cleanup-sockets
%attr(755,root,root) %{_bindir}/orbit-idl-2
%attr(755,root,root) %{_bindir}/typelib-dump
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_libdir}/orbit-2.0
%{_libdir}/orbit-2.0/*.so*
%{_datadir}/idl/orbit-*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/orbit2-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/libname-server-2.a
%{_aclocaldir}/* 
%{_includedir}/orbit-*
%{_pkgconfigdir}/*.pc
%{_gtkdocdir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/libORBit-2.a
%{_libdir}/libORBit-imodule-2.a
%{_libdir}/libORBitCosNaming-2.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ORBit2.spec,v $
Revision 1.88.2.2  2006/08/02 17:06:24  freetz
- 2.14.2, removed obsolete popt BR/R/patch

Revision 1.88.2.1  2006/05/12 18:13:57  baggins
- merged from HEAD

Revision 1.89  2006/03/31 16:37:40  freetz
- merged from DEVEL, changelog cut

Revision 1.84.2.3  2006/03/14 15:28:56  freetz
- 2.14.0

Revision 1.84.2.2  2006/02/06 16:49:32  freetz
- 2.13.3

Revision 1.84.2.1  2006/01/18 17:16:29  freetz
- 2.13.2
